Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.scala
[Groovy] Class AntScalaDoc

    java.lang.Object
      org.gradle.api.tasks.scala.AntScalaDoc

    class AntScalaDoc

Constructor Summary
`AntScalaDoc(IsolatedAntBuilder antBuilder)`
`AntScalaDoc(IsolatedAntBuilder antBuilder, Iterable bootclasspathFiles, Iterable extensionDirs)`

Method Summary
`void` | `execute(FileCollection source, File targetDir, Iterable classpathFiles, Iterable scalaClasspath, ScalaDocOptions docOptions)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### AntScalaDoc

    AntScalaDoc(IsolatedAntBuilder antBuilder)

### AntScalaDoc

    AntScalaDoc(IsolatedAntBuilder antBuilder, Iterable bootclasspathFiles, Iterable extensionDirs)

Method Detail

### execute

    void execute(FileCollection source, File targetDir, Iterable classpathFiles, Iterable scalaClasspath, ScalaDocOptions docOptions)

Gradle API 1.10